package cn.com.qmth.sdk.test;

import org.apache.commons.io.IOUtils;

import cn.com.qmth.sdk.request.OuterQueryScoreDataReq;
import cn.com.qmth.sdk.util.HttpMethod;
import cn.com.qmth.sdk.util.JsonUtil;
import cn.com.qmth.sdk.util.OKHttpUtil;
import cn.com.qmth.sdk.util.QmthUtil;
import okhttp3.Response;

public class QueryScoreData {
	public static void main(String[] args) {
		OuterQueryScoreDataReq reqBody = new OuterQueryScoreDataReq();
		reqBody.setRootOrgId(QmthUtil.getRootOrgId());
		reqBody.setExamName("测试新库");
		reqBody.setCourseCode("W00001");
		reqBody.setIdentityNumber("chenken001");
		// reqBody.setStudentCode("chenken001");
		String url = QmthUtil.buildUrl("/api/exchange/outer/score/queryScoreData");
		Response resp = null;
		try {
			resp = OKHttpUtil.call(HttpMethod.POST, url, QmthUtil.getSecurityHeaders(),
					JsonUtil.toJson(reqBody));
			System.out.println(resp.code());
			System.out.println(resp.body().string());
		} catch (Exception e) {
			e.printStackTrace();
		} finally {
			IOUtils.closeQuietly(resp);
		}
	}
}
