package cn.com.qmth.sdk.test;

import cn.com.qmth.sdk.request.OuterGetSubjectiveQuestionReq;
import org.apache.commons.io.IOUtils;

import cn.com.qmth.sdk.request.OuterGetScoreQueueTopReq;
import cn.com.qmth.sdk.util.HttpMethod;
import cn.com.qmth.sdk.util.JsonUtil;
import cn.com.qmth.sdk.util.OKHttpUtil;
import cn.com.qmth.sdk.util.QmthUtil;
import okhttp3.Response;

public class GetSubjectiveQuestion {

	public static void main(String[] args) {
		//{'des': 'string', 'examId': 57, 'size': 1, 'startId': 0, 'subjectCode': 'CSKC'}
		//
		OuterGetSubjectiveQuestionReq reqBody = new OuterGetSubjectiveQuestionReq();
		reqBody.setExamId(57L);
		reqBody.setSubjectCode("CSKC");
		reqBody.setStartId(1L);
		reqBody.setSize(1);

		String url = QmthUtil.buildUrl("/api/exchange/outer/question/getSubjectiveQuestion");
		Response resp = null;
		try {
			resp = OKHttpUtil.call(HttpMethod.POST, url, QmthUtil.getSecurityHeaders(),
					JsonUtil.toJson(reqBody));
			System.out.println(resp.code());
			System.out.println(resp.body().string());
		} catch (Exception e) {
			e.printStackTrace();
		} finally {
			IOUtils.closeQuietly(resp);
		}
	}

}
