package cn.com.qmth.examcloud.reports.commons.enums;

public enum Topic {

	/**
	 * 学生
	 */
	STUDENT("STUDENT", "学生"),

	/**
	 * 考生
	 */
	EXAM_STUDENT("EXAM_STUDENT", "考生"),

	/**
	 * 后台用户
	 */
	USER("USER", "后台用户");

	// ===========================================================================

	/**
	 * 码
	 */
	private String code;

	/**
	 * 描述
	 */
	private String desc;

	/**
	 * 构造函数
	 *
	 * @param desc
	 */
	private Topic(String code, String desc) {
		this.code = code;
		this.desc = desc;
	}

	public String getDesc() {
		return desc;
	}

	public String getCode() {
		return code;
	}
}
