package cn.com.qmth.examcloud.support.test;

import java.util.HashMap;
import java.util.Map;

public class Block {

    private String type;

    private String value;

    /**
     * 播放次数
     */
    private Integer playTime;

    public Integer getPlayTime() {
        return playTime;
    }

    public void setPlayTime(Integer playTime) {
        this.playTime = playTime;
    }

    private Map<String, Object> param;

    public Block(BlockType type) {
        this.type = type.name().toLowerCase();
        this.param = new HashMap<>();
        this.value = "";
    }

    public String getType() {
        return type;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public Map<String, Object> getParam() {
        return param;
    }

}
